/*
 * @Author: YKH
 * @Date: 2022-04-06 10:50:15
 * @LastEditTime: 2022-04-08 13:31:44
 * @Description: 
 * @FilePath: \cool-admin\cool-admin-vue-vue3-ts-vite\src\cool\modules\shuyou\service\file_list.ts
 */
import { BaseService, Service, Permission } from "/@/core";

@Service("shuyou/file_list")
class ShuyouFileList extends BaseService {

	@Permission("getQiniuToken")
	getQiniuToken(data: any) {
		return this.request({
			url: "/getQiniuToken",
			method: "POST",
			data
		})
	}
	@Permission("deleteFile")
	deleteFile(data: any) {
		return this.request({
			url: "/deleteFile",
			method: "POST",
			data
		})
	}
	@Permission("deleteFileAndRecord")
	deleteFileAndRecord(data: any) {
		return this.request({
			url: "/deleteFileAndRecord",
			method: "POST",
			data
		})
	}
	@Permission("queryVersionByType")
	queryVersionByType(data: any) {
		return this.request({
			url: "/queryVersionByType",
			method: "POST",
			data
		})
	}
	@Permission("deleteAllByTaskId")
	deleteAllByTaskId(data: any) {
		return this.request({
			url: "/deleteAllByTaskId",
			method: "POST",
			data
		})
	}
}

export default ShuyouFileList;
